#include<iostream>
using namespace std;

unsigned long long V;
int pom, S;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	cin >> V;
	
	while (V>0) {
		pom = V%10;
		if (pom==1 || pom==2 || pom==5) S += 1;
		else if (pom==3 || pom==4 || pom==6 || pom==7) S += 2;
		else if (pom==8 || pom==9) S += 3;
		V /= 10;
	}
	
	cout << S;
}